/**
 * Sleeps method chain without stopping UI thread
 * @description <i>Usage</i>: <code>await Thread.sleep(ms)</code>
 * @param milliseconds How long the thread "sleeps"
 */
export declare function thr_sleep(milliseconds: number): Promise<unknown>;
/**
 * @deprecated
 * <b>!!! WARNING! USE WITH CAUTION ONLY !!!</b>
 * <br/><b>SHOULD NEVER BE USED IN PRODUCTION</b>
 * <br>This method sleeps/blocks the UI thread/browser
 * <br>Use <code>Thread.sleep(ms)</code> for a better alternative.
 * <br>Sleeps browser thread
 * @description <i>Usage</i>: <code>Thread.block(ms)</code>
 * @param milliseconds How long the thread sleeps
 */
export declare function thr_block(milliseconds: number): void;
//# sourceMappingURL=thread.d.ts.map